<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bModelo,m05bClasses.* ,java.io.PrintWriter" %>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoModelos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bBusqDescrip.js"></script>	
</head>
<BODY style="cursor: wait" onkeydown="" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div class="popup" id="capaDesc" >
</div>
<%
	String sql = "", mensaje;
	String accion,marca="",mod="", codigo;

	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje");
	m05bModelo modelo = null;

	if ( (codigo==null) || (codigo.equals("")) ) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bModelo");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		modelo = (m05bModelo)session.getAttribute("m05bModelo");
		mod=modelo.getMod_descripcion();
		if (mod==null)
			mod="";
	}
    PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 11));</script>");
	}
	outMsg.close();

	if (modelo == null){
		modelo = new m05bModelo();
		session.setAttribute("m05bModelo",modelo);
	}
	m05bCombo miCombo= new m05bCombo();
	java.sql.Connection conn1=null;
	m05bConexion miConex1 = new m05bConexion();

	conn1 = miConex1.getConnection();
	PreparedStatement pstmt1  = null;
	ResultSet rs1=null;

	try {
	    sql = "select to_char(max(to_number(" + m05bConstantes.COL_99_CODDESC + ")) + 1) " + 
				" from " + m05bConstantes.TAB_DESCRIPCIONES  +
				" where " +  m05bConstantes.COL_99_CODTABLA + " = '" + m05bConstantes.DESC_MARCAS + "'" ;
       	pstmt1 = conn1.prepareStatement(sql);
   		rs1 = pstmt1.executeQuery();
		if (rs1.next())  {  
			marca=rs1.getString(1);
		}
	} catch	(Exception SQLException) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		miLog.addTraza(SQLException);
	} finally {
		if (rs1 != null)
			rs1.close();
		if (pstmt1 != null)
			pstmt1.close();
		if (conn1 != null)
			conn1.close();
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_MODELOS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelModelos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_MODELOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoModelos")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formModelos" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					      <td width="80%" align="right"> 
					      	<input type="button" class="boton" style="width:auto !important" name="<%= res.getString("etBOT_NUEVAMARCA")%>" value="<%= res.getString("etBOT_NUEVAMARCA")%>" ONCLICK="JavaScript:fncNuevaMarca('<%=m05bConstantes.DESC_MARCAS%>','<%=marca%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVAMARCA")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
						
					  <TABLE class="general">
					    <tr> 
					      <td width="30%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
					      <td width="20%" class="inputFieldTitle"><%= res.getString("etMarca")%></td>
					      <td width="50%" class="inputFieldTitle"><%= res.getString("etDescripcion")%></td>
					    </tr>
					    <tr> 
						  <% if ( (codigo.equals(""))  ||  (mensaje.equals("Existe")) ) {  %>
					      	<td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=modelo.getMod_codigo()%>" size="25" maxlength="15"/> </td>
						  <% } 
						  	else  { %>
					      	<td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=modelo.getMod_codigo()%>" size="25" maxlength="15"/> </td>
					      <%  }  %>     
					      <td align="left"><select name="Marca" class="inputFieldOblig" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit" size="50" ></option>
					                    <%=miCombo.populateCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, 
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MARCAS, modelo.getMod_marca() )%>
					           </select>
					      </td>
					      <td align="left" id="td1"> 
						      <table id="table1" width="100%" cellpadding="0" cellspacing="0">
						      	<tr>
					      			<td width="100%">
						      			<INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=mod%>" size="65" maxlength="20" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_MODELOS%>','<%=m05bConstantes.COL_17_DESCRIP%>','');"/> 
						      		<td>
				     		 	</tr>
						      </table>
					      </td>
					    </tr>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<script language="JavaScript">
     function fncGrabar(codigo,accion) {
     	var docu = document.formModelos;
 	 	if(docu.Codigo.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Codigo.focus();
			return;
		}
     	if  (document.formModelos.Marca.value == "")  {
     	 	 alert(dameAlerta(idioma, 12));
     	 } else {
     	 	if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Codigo.focus();
				return;
			}
			if(docu.Descripcion.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Descripcion.focus();
				return;
			}
			if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Descripcion.focus();
				return;
			}
			
			if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
				if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
					return;
			}
			
	        document.formModelos.action="m05bGrabarModeloServlet?Codigo=" + codigo + "&Accion=" + accion;
	        document.formModelos.submit();
     	 }
	  }  // Fin funcion fncGrabar

	  function fncNuevaMarca(codigo,marca) {
        document.formModelos.action="m05bDescripcionesJsp.jsp?Tabla=" + codigo +  "&Mensaje=false&Modelo=modelo&Codigo=" + marca + "&Accion=I";
        document.formModelos.submit();
	  }  // Fin funcion fncNuevaMarca

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>